derive-2.6.5: A program and library to derive instances for data types

Copyright | (c) Bertram Felgenhauer 2009
License | BSD3
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Data.Derive.JSON

Description

Derive `JSON` instances.

Unlike Text.JSON.Generics, single constructor types are not handled specially. Every value is encoded as an object with a single field, with the constructor name as key and the values as its contents.

If the constructor is a record, the contents is an Object with the field names as keys. Otherwise, the contents is an array.

Synopsis

- makeJSON :: Derivation

# Documentation

makeJSON :: Derivation Source #

`Derivation` for `JSON`